﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class BasicDeviceKindService : BaseService<bas_device_kind>, IBasicDeviceKindService
    {
        public List<string> FindAllDeviceKind()
        {
            return base.GetList().Select(x=>x.devicekind_name).ToList();
        }

        public bas_device_kind FindByDeviceKindName(string deviceKindName)
        {
            return base.GetFirst(x => x.devicekind_name == deviceKindName);
        }
    }
}
