﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class UserDeviceService : BaseService<UserDevice>, IUserDeviceService
    {
        public List<UserDevice> FindAllByUserId(int userId)
        {
            return base.GetList(x => x.UserId == userId);
        }

        public UserDevice FindByUserIdAndDeviceID(int userId,int deviceId)
        {
            return base.GetFirst(x => (x.UserId == userId)&&(x.DeviceId==deviceId));
        }

   
    }
}
