﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    /// <summary>
    /// 设备类型关联有测试方案
    /// </summary>
    public  class BasDeviceWithSchModel:BasDeviceDto
    {
        public int DisId { get; set; }
        /// <summary>
        /// 测试方案名称
        /// </summary>
        public string SchemeName { get; set; }

        /// <summary>
        /// 测试方案ID
        /// </summary>
        public long SchemeId { get; set; }


        /// <summary>
        /// 测试方案的测试状态 
        /// </summary>
        public string TestStatus { get; set; }
        /// <summary>
        /// 整个设备的测试状态 
        /// </summary>
        public string TotalTestStatus { get; set; }
        
    }
}
