﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    /// <summary>
    /// 测试方案明细表 且带有测试结果类
    /// </summary>
    public  class SchDtlWithResultModel: BasicPlcTestSchemeDto
    {
        public DateTime StartTestTime { get; set; }

        public DateTime FinishTestTime { get; set; }

        /// <summary>
        /// 测试模式
        /// </summary>
        public string TestMode { get; set; }
        public string TestResult { get; set; }

        /// <summary>
        /// Desc:测试记录明细状态。0：未测试。99：已测试。
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string TestStatus { get; set; }

        
    }
}
