﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("bas_device_kind")]
    public partial class bas_device_kind
    {
           public bas_device_kind(){


           }
           /// <summary>
           /// Desc:设备类型主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long devicekind_id {get;set;}

           /// <summary>
           /// Desc:设备类型编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string devicekind_no {get;set;}

           /// <summary>
           /// Desc:设备类型名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string devicekind_name {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
