﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class BizTestRecordDtlService : BaseService<biz_test_record_dtl>, IBizTestRecordDtlService
    {
        public List<biz_test_record_dtl> FindRecordDetailBySchDtlID(long schDtlID)
        {
            return base.GetList(x => x.scheme_dtl_id == schDtlID);
        }

        public List<biz_test_record_dtl> FindRecordDetailByRecordID(long recordId)
        {
            return base.GetList(x => x.record_id == recordId);
        }
    }
}
