﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class BizTestRecordService : BaseService<biz_test_record>, IBizTestRecordService
    {
        public biz_test_record FindRecorddByDeviceIdAndSchname(long deviceId, string schName)
        {
            return base.GetFirst(x => ((x.device_id == deviceId) &&(x.scheme_name == schName)));
        }
        public List<biz_test_record> FindRecorddBySchname(string schName)
        {
            return base.GetList(x => ((x.scheme_name == schName)));
        }
        public List<biz_test_record> FindRecordByDeviceId(long deviceId)
        {
            return base.GetList(x => ((x.device_id == deviceId)));
        }
    }
}
