﻿using PLCTool.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PLCTool.Views.BasicConfigView
{
    /// <summary>
    /// ProjectSelectView.xaml 的交互逻辑
    /// </summary>
    public partial class ProjectSelectView : UserControl
    {
        public ProjectSelectView()
        {
            InitializeComponent();

            for (int i = 0; i < 9; i++)
            {
                ProjectPanel projectPanel = new() { 
                    ProjectName = "测试"+i
                };
                projectPanel.Click += ProjectPanel_Click;
                WrapPanel_Project.Children.Add(projectPanel);
            }
        }

        private void ProjectPanel_Click(object sender, EventArgs e)
        {
            if (sender is ProjectPanel pp)
            {
                MessageBox.Show(pp.ProjectName);
            }
        }
    }
}
