﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public  class BizTestRecordDto
    {   /// <summary>
        /// Desc:测试记录表主键ID
        /// Default:
        /// Nullable:False
        /// </summary>           
       
        public long RecordId { get; set; }

        /// <summary>
        /// Desc:测试记录名称
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string RecordName { get; set; }
        /// <summary>
        /// 设备方案id
        /// </summary>
        public long DeviceId { get; set; }
        /// <summary>
        /// Desc:测试方案名称
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string SchemeName { get; set; }

        /// <summary>
        /// Desc:测试人员
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string Tester { get; set; }

        /// <summary>
        /// Desc:开始测试时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? StartTestTime { get; set; }

        /// <summary>
        /// Desc:测试完成时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? FinishTestTime { get; set; }

        /// <summary>
        /// Desc:测试记录主表状态。0：未完成；99：已完成；100：强制完成；111：删除。
        /// Default:
        /// Nullable:False
        /// </summary>           
        public int Status { get; set; }

        /// <summary>
        /// Desc:创建者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string CreateBy { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Desc:更新者
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string UpdateBy { get; set; }

        /// <summary>
        /// Desc:更新时间
        /// Default:
        /// Nullable:False
        /// </summary>           
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }
    }
}
