﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("bas_device")]
    public partial class bas_device
    {
           public bas_device(){


           }
           /// <summary>
           /// Desc:设备主键id
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long device_id {get;set;}

           /// <summary>
           /// Desc:设备编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string device_no {get;set;}

           /// <summary>
           /// Desc:设备名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string device_name {get;set;}

           /// <summary>
           /// Desc:所属项目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public long project_id {get;set;}

           /// <summary>
           /// Desc:所属设备类型编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public long device_kind_id {get;set;}

      

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
